Bağlantı istatistikleri

GET https://digily.link/api/statistics/
curl --request GET \
--url 'https://digily.link/api/statistics/' \
--header 'Authorization: Bearer {api_key}' \
Parametreler Detaylar Açıklama
start_date Gerekli Y-m-d biçiminde başlangıç tarihi.
end_date Gerekli Y-m-d biçiminde bitiş tarihi.
project_id İsteğe bağlı Tamsayı
type İsteğe bağlı Dize İzin verilen değerler: overview, referrer_host, referrer_path, continent_code, country_code, city_name, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour
country_code İsteğe bağlı Dize Şu zaman kullanılabilir: type = city_name
utm_source İsteğe bağlı Dize Şu zaman kullanılabilir: type = utm_medium, utm_campaign
utm_medium İsteğe bağlı Dize Şu zaman kullanılabilir: type = utm_campaign
referrer_host İsteğe bağlı Dize Şu zaman kullanılabilir: type = referrer_path
{
    "data": [
        {
            "pageviews": 20,
            "visitors": 5,
            "formatted_date": "2021-01"
        },
        {
            "pageviews": 35,
            "visitors": 10,
            "formatted_date": "2021-02"
        },
        {
            "pageviews": 50,
            "visitors": 25,
            "formatted_date": "2021-03"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://digily.link/api/statistics?page=1",
        "last": "https://digily.link/api/statistics?page=1",
        "next": null,
        "prev": null,
        "self": "https://digily.link/api/statistics?page=1"
    }
}
GET https://digily.link/api/statistics/{link_id}
Parametreler Detaylar Açıklama
start_date Gerekli Y-m-d biçiminde başlangıç tarihi.
end_date Gerekli Y-m-d biçiminde bitiş tarihi.
type İsteğe bağlı Dize İzin verilen değerler: overview, referrer_host, referrer_path, continent_code, country_code, city_name, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour
country_code İsteğe bağlı Dize Şu zaman kullanılabilir: type = city_name
utm_source İsteğe bağlı Dize Şu zaman kullanılabilir: type = utm_medium, utm_campaign
utm_medium İsteğe bağlı Dize Şu zaman kullanılabilir: type = utm_campaign
referrer_host İsteğe bağlı Dize Şu zaman kullanılabilir: type = referrer_path
curl --request GET \
--url 'https://digily.link/api/statistics/{link_id}?start_date=2020-01-01&end_date=2021-01-01' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": [
        {
            "pageviews": 20,
            "visitors": 5,
            "formatted_date": "2021-01"
        },
        {
            "pageviews": 35,
            "visitors": 10,
            "formatted_date": "2021-02"
        },
        {
            "pageviews": 50,
            "visitors": 25,
            "formatted_date": "2021-03"
        }
    ]
}